package jp.mosp.payroll.common;

import jp.mosp.common.MosPMenuConst;

/**
 * @author koike
 *
 */
public class PayrollMenuConst {
	
	/*勤怠集計関連*/
	private static final String[]	MENU_PAYROLL		= { "P1001", "給与計算" };
	private static final String[]	MENU_PAYROLL_MASTER	= { "P1002", "給与計算マスタ" };
	private static final String[]	MENU_PAYROLL_EXP	= { "P9003", "給与エクスポート" };
	private static final String[]	MENU_KINTAI_EXP		= { "S1200", "勤怠エクスポート" };
	
	// 賞与追加分
	private static final String[]	MENU_CALC_BONUS		= { "P2001", "賞与計算" };
	
	// 給与追加分
	private static final String[]	MENU_REFER_SLIP		= { "P8500", "給賞与明細" };
	
	// 年末調整追加分
	private static final String[]	MENU_ADJUSTMENT		= { "P3000", "年末調整" };
	
	// 社会保険追加分
//	private static final String[] MENU_INSURANCE = { "P4000", "社会保険"};	//社保メニュー有り
	private static final String[]	MENU_INSURANCE		= { "P4001", "社会保険" };		//社保メニュー無し
																					
	/*申請関連*/
	private static final String[]	MENU_APPLICATION	= { "K1400", "各種申請" };
	
	/*給与用コマンドの配列*/
	private static final String[][]	CMD_PAYROLL_ARRAY	= { MosPMenuConst.getMenuAttendanceCalculate(),
		MosPMenuConst.getMenuAttendanceCalculateStart(), MosPMenuConst.getMenuAttendanceCompile(),
		MosPMenuConst.getMenuCompileAmendment(), MosPMenuConst.getMenuAttendanceExport(),
		MosPMenuConst.getMenuAttendanceCalculateEnd(), MosPMenuConst.getMenuPaidHolidayManagement(),
		MosPMenuConst.getMenuSubHolidayManagement(), MosPMenuConst.getMenuKeisanInformation(),
		//MENU_EXPORT(),
		MENU_KINTAI_EXP, MENU_PAYROLL, MENU_CALC_BONUS, /* 賞与計算 */
		MENU_PAYROLL_EXP, MENU_ADJUSTMENT, /* 年末調整 */
		MENU_INSURANCE, /* 社会保険 */
		MENU_PAYROLL_MASTER							};
	
	/*従業員用コマンドの配列*/
	private static final String[][]	CMD_EMPLOYEE_ARRAY	= { MosPMenuConst.getMenuAttendance(),
		MosPMenuConst.getMenuSchedule(), MosPMenuConst.getMenuPaidHolidayConfirm(), MENU_APPLICATION,
		MosPMenuConst.getMenuMospPassword(), MENU_REFER_SLIP };
	

	/**
	 * 給与用コマンドの配列
	 * @return array
	 */
	public static String[][] getPayrollCmdArray() {
		return CMD_PAYROLL_ARRAY.clone();
	}
	
	/**
	 * 従業員用コマンドの配列
	 * @return array
	 */
	public static String[][] getEmployeeCmdArray() {
		return CMD_EMPLOYEE_ARRAY.clone();
	}
}
